### A free/open-source library for quantitative finance

Classes | Functions
ql/termstructures/inflationtermstructure.hpp File Reference

Base classes for inflation term structures. More...

`#include <ql/termstructures/yieldtermstructure.hpp>`
`#include <ql/termstructures/inflation/seasonality.hpp>`
Include dependency graph for inflationtermstructure.hpp:

## Classes

class | InflationTermStructure
| Interface for inflation term structures. More...
class | ZeroInflationTermStructure
| Interface for zero inflation term structures. More...
class | YoYInflationTermStructure
| Base class for year-on-year inflation term structures. More...

## Functions

std::pair< Date, Date > | inflationPeriod (const Date &, Frequency)
| utility function giving the inflation period for a given date
Time | inflationYearFraction (Frequency, bool indexIsInterpolated, const DayCounter &, const Date &, const Date &)

## Detailed Description

Base classes for inflation term structures.